Page MenuHomePhabricator

Plural form message shown inside list for compact language links
Closed, ResolvedPublic

Description

Illustration of problem

Details

Related Gerrit Patches:
mediawiki/extensions/UniversalLanguageSelector : wmf/1.28.0-wmf.22ext.uls.compactlinks: add explicit dependency to mediawiki.jqueryMsg
mediawiki/extensions/UniversalLanguageSelector : masterext.uls.compactlinks: add explicit dependency to mediawiki.jqueryMsg

Event Timeline

Arrbee created this task.Oct 14 2016, 5:47 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 14 2016, 5:47 AM
Arrbee triaged this task as High priority.Oct 14 2016, 5:48 AM

Change 315900 had a related patch set uploaded (by Nikerabbit):
ext.uls.compactlinks: add explicit dependency to mediawiki.jqueryMsg

https://gerrit.wikimedia.org/r/315900

Change 315900 merged by jenkins-bot:
ext.uls.compactlinks: add explicit dependency to mediawiki.jqueryMsg

https://gerrit.wikimedia.org/r/315900

The issues does not happen on all pages, and goes away when clearing local storage. At this point I have no idea how many people might be affected.

Change 315901 had a related patch set uploaded (by KartikMistry):
ext.uls.compactlinks: add explicit dependency to mediawiki.jqueryMsg

https://gerrit.wikimedia.org/r/315901

Plan is to try to SWAT the proposed fix on Monday.

Amgine added a subscriber: Amgine.Oct 17 2016, 1:44 AM

Expanding mediawiki cll comment from yeryry:
[1:20pm] yeryry: Still happening on old Chrome, not happening on newer Chromium I just installed.

Change 315901 merged by jenkins-bot:
ext.uls.compactlinks: add explicit dependency to mediawiki.jqueryMsg

https://gerrit.wikimedia.org/r/315901

Dereckson added a subscriber: Dereckson.EditedOct 18 2016, 11:08 PM

Change has been deployed in production across the full WMF cluster.

Could someone test that and confirm it works?

According @Josve05a, the issue has been now fixed. They still seen that on sv.wikipedia in the last two days. There is so some probability the fix solved that.

@Dereckson Thanks a lot for deployment and followups!

Nikerabbit closed this task as Resolved.Oct 19 2016, 2:49 PM
Nikerabbit claimed this task.
Nikerabbit removed a project: Patch-For-Review.

Works for me as well.